<?php
$escape = $this->plugin('escapeHtml');
$stylesheet = $this->themeSetting('stylesheet');
$this->htmlElement('html')->setAttribute('lang', $this->lang());
$this->headMeta()->setCharset('utf-8');
$this->headMeta()->appendName('viewport', 'width=device-width, initial-scale=1');
$this->headTitle($this->setting('installation_title', 'Omeka S'))->setSeparator(' · ');
if (isset($stylesheet)) {
    $this->headLink()->prependStylesheet($this->assetUrl("css/$stylesheet.css"));
} else {
    $this->headLink()->prependStylesheet($this->assetUrl('css/default.css'));
}
$this->headLink()->prependStylesheet($this->assetUrl('css/iconfonts.css', 'Omeka'));
// $this->headScript()->prependFile('//cdn.jsdelivr.net/npm/foundation-sites@6.5.3/dist/js/foundation.min.js', 'text/javascript', [
//   'integrity' => 'sha256-/PFxCnsMh+nTuM0k3VJCRch1gwnCfKjaP8rJNq5SoBg= sha384-9ksAFjQjZnpqt6VtpjMjlp2S0qrGbcwF/rvrLUg2vciMhwc1UJJeAAOLuJ96w+Nj sha512-UMSn6RHqqJeJcIfV1eS2tPKCjzaHkU/KqgAnQ7Nzn0mLicFxaVhm9vq7zG5+0LALt15j1ljlg8Fp9PT1VGNmDw==',
//   'crossorigin' => 'anonymous'
// ]);
$this->headScript()->prependFile($this->assetUrl('js/global.js', 'Omeka'));

$this->headScript()->prependFile($this->assetUrl('js/expand-site-list-item.js'));

$this->headScript()->prependFile($this->assetUrl('vendor/jquery/jquery.min.js', 'Omeka'));
// $this->headLink()->prependStylesheet($this->assetUrl("css/archive.css"));
$this->trigger('view.layout');
$title = $this->pageTitle($site->title());
$userBar = $this->userBar();

$navLayout = ($this->themeSetting('nav_layout')) ? $this->themeSetting('nav_layout') : 'dropdown';
$this->htmlElement('body')->appendAttribute('class', $navLayout . '-menu');
if ($userBar) {
  $this->htmlElement('body')->appendAttribute('class', 'user-bar');
}

/*
$logo = $this->themeSettingAssetUrl('logo');
if ($logo):
    $titlelogo = '<img class="site-logo" src="' . $this->escapeHtml($logo) . '"' . 'alt="' . $site->title() . '"' . '>';
endif;
*/
?>
<?php echo $this->doctype(); ?>
<?php echo $this->htmlElement('html'); ?>
    <head>
        <?php echo $this->headMeta(); ?>
        <?php echo $this->headTitle(); ?>
        <?php echo $this->headLink(); ?>
        <?php echo $this->headStyle(); ?>
        <?php echo $this->headScript(); ?>
    </head>

    <?php echo $this->htmlElement('body'); ?>
    <content class="">

            <header>
              <?php echo $userBar; ?>
              <?php
                if ($site->title() == "Collections") {
                  echo $this->partial('common/header-collections');
                } else {
                  echo $this->partial('common/header-default');
                }
              ?>
            </header>

            <?php
              if ($site->title() == "Collections") {
                echo $this->partial('common/hero-collections');
              } else {
                echo $this->partial('common/hero-default');
              }
            ?>

            <main>
              <article>
                <section class="omekas-entry-content">
                  <?php echo $this->content; ?>
                </section>
              </article>
              <aside>
              </aside>
            </main>

            <footer class="">
              <?php echo $this->partial('common/footer-archive.phtml'); ?>

                <?php //if ($footerContent = $this->themeSetting('footer')): ?>
                <?php //echo $footerContent; ?>
                <?php //else: ?>
                    <?php //echo $this->translate('Powered by Omeka S'); ?>
                <?php //endif; ?>
            </footer>
            <!-- end off-canvas-content -->
            <!-- </div> -->
        </content>
        <script>
//          $(document).foundation();
        </script>
<script src="<?php echo $this->assetUrl('js/foundation.js'); ?>"></script>

    </body>
</html>
